org.apache.tools.ant.taskdefs.optional.clearcase

## Class CCMkattr

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
      - - org.apache.tools.ant.taskdefs.optional.clearcase.CCMkattr

All Implemented Interfaces:
  java.lang.Cloneable

    public class CCMkattr
    extends ClearCase

Task to perform mkattr command to ClearCase.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view file or directory that the command will operate on | Yes
replace | Replace the value of the attribute if it already exists | No
recurse | Process each subdirectory under viewpath | No
version | Identify a specific version to attach the attribute to | No
typename | Name of the attribute type | Yes
typevalue | Value to attach to the attribute type | Yes
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No
failonerr | Throw an exception if the command fails. Default is true | No

### Field Summary

Fields
`static java.lang.String` `FLAG_COMMENT` -c flag -- comment to attach to the element
`static java.lang.String` `FLAG_COMMENTFILE` -cfile flag -- file containing a comment to attach to the file
`static java.lang.String` `FLAG_NOCOMMENT` -nc flag -- no comment is specified
`static java.lang.String` `FLAG_RECURSE` -recurse flag -- process all subdirectories
`static java.lang.String` `FLAG_REPLACE` -replace flag -- replace the existing value of the attribute
`static java.lang.String` `FLAG_VERSION` -version flag -- attach attribute to specified version

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`CCMkattr()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()` Executes the task.
`java.lang.String` `getComment()` Get comment string
`java.lang.String` `getCommentFile()` Get comment file
`boolean` `getRecurse()` Get recurse flag status
`boolean` `getReplace()` Get replace flag status
`java.lang.String` `getTypeName()` Get attribute type-name
`java.lang.String` `getTypeValue()` Get the attribute type-value
`java.lang.String` `getVersion()` Get version flag status
`void` `setComment(java.lang.String comment)` Set comment string
`void` `setCommentFile(java.lang.String cfile)` Set comment file
`void` `setRecurse(boolean recurse)` Set recurse flag
`void` `setReplace(boolean replace)` Set the replace flag
`void` `setTypeName(java.lang.String tn)` Set the attribute type-name
`void` `setTypeValue(java.lang.String tv)` Set the attribute type-value
`void` `setVersion(java.lang.String version)` Set the version flag

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FLAG_REPLACE

    public static final java.lang.String FLAG_REPLACE

-replace flag -- replace the existing value of the attribute

See Also:
  Constant Field Values

#### FLAG_RECURSE

    public static final java.lang.String FLAG_RECURSE

-recurse flag -- process all subdirectories

See Also:
  Constant Field Values

#### FLAG_VERSION

    public static final java.lang.String FLAG_VERSION

-version flag -- attach attribute to specified version

See Also:
  Constant Field Values

#### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT

-c flag -- comment to attach to the element

See Also:
  Constant Field Values

#### FLAG_COMMENTFILE

    public static final java.lang.String FLAG_COMMENTFILE

-cfile flag -- file containing a comment to attach to the file

See Also:
  Constant Field Values

#### FLAG_NOCOMMENT

    public static final java.lang.String FLAG_NOCOMMENT

-nc flag -- no comment is specified

See Also:
  Constant Field Values

### Constructor Detail

#### CCMkattr

    public CCMkattr()

### Method Detail

#### execute

    public void execute()
                 throws BuildException

Executes the task.

Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if the command fails and failonerr is set to true

#### setReplace

    public void setReplace(boolean replace)

Set the replace flag

Parameters:
  `replace` - the status to set the flag to

#### getReplace

    public boolean getReplace()

Get replace flag status

Returns:
  boolean containing status of replace flag

#### setRecurse

    public void setRecurse(boolean recurse)

Set recurse flag

Parameters:
  `recurse` - the status to set the flag to

#### getRecurse

    public boolean getRecurse()

Get recurse flag status

Returns:
  boolean containing status of recurse flag

#### setVersion

    public void setVersion(java.lang.String version)

Set the version flag

Parameters:
  `version` - the status to set the flag to

#### getVersion

    public java.lang.String getVersion()

Get version flag status

Returns:
  boolean containing status of version flag

#### setComment

    public void setComment(java.lang.String comment)

Set comment string

Parameters:
  `comment` - the comment string

#### getComment

    public java.lang.String getComment()

Get comment string

Returns:
  String containing the comment

#### setCommentFile

    public void setCommentFile(java.lang.String cfile)

Set comment file

Parameters:
  `cfile` - the path to the comment file

#### getCommentFile

    public java.lang.String getCommentFile()

Get comment file

Returns:
  String containing the path to the comment file

#### setTypeName

    public void setTypeName(java.lang.String tn)

Set the attribute type-name

Parameters:
  `tn` - the type name

#### getTypeName

    public java.lang.String getTypeName()

Get attribute type-name

Returns:
  String containing type name

#### setTypeValue

    public void setTypeValue(java.lang.String tv)

Set the attribute type-value

Parameters:
  `tv` - the type value

#### getTypeValue

    public java.lang.String getTypeValue()

Get the attribute type-value

Returns:
  String containing type value